Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::CertificateSecurityHandler Class Reference
Inheritance diagram for foxit::pdf::CertificateSecurityHandler:

## Public Member Functions
| CertificateSecurityHandler ()
| Constructor.
| CertificateSecurityHandler (const foxit::pdf::SecurityHandler &other)
| Constructor, with parent class object. More...
bool | Initialize (const CertificateEncryptData &encrypt_data, const String &encrypt_key)
| Initialize current certificate security handler. More...
Public Member Functions inherited from foxit::pdf::SecurityHandler
| SecurityHandler ()
| Constructor.
| SecurityHandler (const SecurityHandler &other)
| Constructor, with another security handler object. More...
virtual | ~SecurityHandler ()
| Destructor.
virtual PDFDoc::EncryptType | GetSecurityType ()
| Get the encryption type of current security handler. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator != (const SecurityHandler &other)
| Not equal operator. More...
SecurityHandler & | operator= (const SecurityHandler &other)
| Assign operator. More...
bool | operator== (const SecurityHandler &other)
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Additional Inherited Members
Public Types inherited from foxit::pdf::SecurityHandler
enum | CipherType { e_CipherNone = 0, e_CipherRC4 = 1, e_CipherAES = 2 }
| Enumeration for Encryption Algorithm. More...

## Detailed Description

This class represents a certificate security handler, used for certificate encryption.

See also
  SecurityHandler

## Constructor & Destructor Documentation

## ◆ CertificateSecurityHandler()

foxit::pdf::CertificateSecurityHandler::CertificateSecurityHandler | ( | const foxit::pdf::SecurityHandler & | other | ) |
| explicit

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ Initialize()

bool foxit::pdf::CertificateSecurityHandler::Initialize | ( | const CertificateEncryptData & | encrypt_data,
|  | const String & | encrypt_key
| ) |  |

Initialize current certificate security handler.

Parameters

  [in] | encrypt_data | A certificate encrypt data object. In the encryption data, cipher type should not be SecurityHandler::e_CipherNone.
  [in] | encrypt_key | The key for encryption. For SecurityHandler::e_CipherRC4 cipher, the length of encryption key should be between 5 and 16. For SecurityHandler::e_CipherAES cipher, the length of encryption key should be 16 or 32.

Returns
  true means success, while false means failure.